Skip to content

Generate Song (Custom Mode)

POST https://www.kkiai.com/suno/submit/music

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
promptstringRequired
mvstringRequired
titlestringRequired
tagsstringOptional
continue_atintegerOptional
continue_clip_idstringOptional
taskstringOptionalTask type, default is "generate"

Request Example

json
{
    "prompt": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon't say no (don't say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon't say no (don't say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet's go!\nSwing your tails\nDon't say no (don't say no!)\nPurr and twirl\nLike a show\nCat dance\nLet's steal the glow",
    "mv": "chirp-v4",
    "title": "Cat Dance",
    "tags": "romantic raga",
    "continue_at": 120,
    "continue_clip_id": "",
    "task": ""
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/suno/submit/music' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "[Verse]\nMove your paws\nLeft and right\nJump around\nFeel the light\nWhiskers twitch\nTails in the air\nDancing cats\nEverywhere\n\n[Chorus]\nCat dance\nOh\nLet'\''s go!\nSwing your tails\nDon't say no (don't say no!)\nPurr and twirl\nLike a show\nCat dance\nLet'\''s steal the glow\n\n[Verse 2]\nTiptoe steps\nSoft and sweet\nTiny paws\nUnbeatable beat\nMeow to the rhythm\nClaws precise\nEvery move\nFeline paradise\n\n[Chorus]\nCat dance\nOh\nLet'\''s go!\nSwing your tails\nDon't say no (don't say no!)\nPurr and twirl\nLike a show\nCat dance\nLet'\''s steal the glow\n\n[Bridge]\nOoh-ooh\nBounce and sway (ooh-ooh!)\nMoonlit grooves\nNight turns to day\nLean and stretch\nStrike your pose\nEvery kitty steals the show\n\n[Chorus]\nCat dance\nOh\nLet'\''s go!\nSwing your tails\nDon't say no (don't say no!)\nPurr and twirl\nLike a show\nCat dance\nLet'\''s steal the glow",
    "mv": "chirp-v4",
    "title": "Cat Dance",
    "tags": "romantic raga",
    "continue_at": 120,
    "continue_clip_id": "",
    "task": ""
}'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
codestringRequired
datastringRequired
messagestringRequired

Response Example

json
{
    "code": "success",
    "data": "950bf3af-78a6-420e-8c01-3bde0bbb3ef9",
    "message": ""
}